<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php'); 

$kar_id=$_POST['lote'];
$cantidad=$_POST['cantidad'];
$cantidad_temp=$_POST['cantidad_temp'];
$cotd_id=$_POST['cotd_id'];

$est=mysqli_query($con,"SELECT * FROM kardex_compra WHERE kar_id='$kar_id'") or die(mysqli_error($con));
$est=mysqli_fetch_array($est);
$cantidad_dispónible=$est['kar_cantidad_v'];
$lote=$est['lote'];

if( $cantidad_dispónible>=$cantidad)
{
    $can=mysqli_query($con,"SELECT * FROM cotizacion_detalle_lote where kar_id='$kar_id' and cotd_id_detalle='$cotd_id'") or die(mysqli_error($con)); 
    if($dato=mysqli_fetch_array($can))
    { 
        $sqll=mysqli_query($con,"SELECT SUM(kar_cantidad) as kar_cantidad FROM cotizacion_detalle_lote WHERE cotd_id_detalle='$cotd_id' ");
        $roww=mysqli_fetch_array($sqll);
        $kar_cantidad=$roww['kar_cantidad'];
        $suma=$kar_cantidad+$cantidad;

        if ($suma<=$cantidad_temp)
        { 
            $insert_tmp=mysqli_query($con, "UPDATE cotizacion_detalle_lote set kar_cantidad='$suma' where kar_id='$kar_id' and cotd_id_detalle='$cotd_id' ") or die(mysqli_error($con));

            echo  '<div class="alert alert-info alert-dismissable">
                    <strong>Registrado correctamente.</strong></div>
                 <script>loadTablalotes();</script>';
        }
        else
        {
            echo  '<div class="alert alert-danger alert-dismissable">
                <strong>No puede agregar cantidad mayor a la asignada.</strong></div>';
        }
    }
    else
    {
        if ($cantidad<=$cantidad_temp)
        { 

            $sqll=mysqli_query($con,"SELECT SUM(kar_cantidad) as kar_cantidad FROM cotizacion_detalle_lote WHERE cotd_id_detalle='$cotd_id' ");
            $roww=mysqli_fetch_array($sqll);
            $kar_cantidad=$roww['kar_cantidad'];
            $suma=$kar_cantidad+$cantidad;
            
            if ($suma<=$cantidad_temp)
            { 
                $insert_tmp=mysqli_query($con, "INSERT INTO cotizacion_detalle_lote (kar_id,kar_lote,kar_cantidad,cotd_id_detalle) 
                VALUES ('$kar_id','$lote','$cantidad','$cotd_id')");
                echo  '<div class="alert alert-info alert-dismissable">
                        <strong>Registrado correctamente.</strong></div>
                    <script>loadTablalotes();</script>';
            }
            else
            {
                echo  '<div class="alert alert-danger alert-dismissable">
                <strong>No puede agregar cantidad mayor a la asignada.</strong></div>';
            }
        }
        else
        {
            echo  '<div class="alert alert-danger alert-dismissable">
                <strong>La cantidad debe ser igual o menor a la asignada.</strong></div>';
        }
    }
}
else
{
    echo   '<div class="alert alert-danger alert-dismissable">
            <strong>El lote seleccionado no contiene cantidad suficiente.</strong></div>';
}
?>